Skip to main content
Transactions

Create a new transaction

For most users, this endpoint is not needed. Transactions are normally synced automatically once a financial connection is established. However, if you want to manually push transactions from some other source that is not integrated with Synci, you can use this endpoint.

POST
/finance/transactions
Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
additional_data_structuredstring | null

An umbrella datapoint used for information that is outside of Berlin Group specification, such as bank- or country-specific fields.

additional_informationstring | null

Might be used by the financial institution to transport additional transaction related information.

additional_information_structuredstring | null
amountnumberrequired

The amount of the transaction as billed to the account.

balance_after_transactionnumber | null

The account balance after this transaction. Recommended balance type is INTERIM_BOOKED.

bookedboolean | null

Whether the transaction is booked (cleared) or not. If false, the transaction is pending.

booking_datestring

The date when an entry is posted to an account on the financial institutions books. Booking date is required if value date is not provided.

booking_datetimestring | null

The date and time when an entry is posted to an account on the financial institutions books.

codesobject
creditorobject
currencystringrequired

ISO 4217 currency code.

Required string length: 3 - 3
Pattern: ^[A-Z]{3}$
currency_exchangeobject
debtorobject
external_identifiersobject
financial_account_idintegerrequired

The ID of the financial account this transaction belongs to.

remittance_informationobject
ultimate_creditorstring | null
ultimate_debtorstring | null
value_datestring

The date at which assets become available to the account owner in case of a credit. Value date is required if booking date is not provided.

value_datetimestring | null

The date and time at which assets become available to the account owner in case of a credit.

Response

application/json
dataobjectrequired
messagestringrequired